Local and Mapped Drives

[This is preliminary documentation and subject to change.]

Using the Local and Mapped Drives snap-in, you can:

  • View drive properties
  • Name drives
  • Set permissions on drives


To view drive properties

  • Right-click the drive you want to view, and then select Properties.

Note

The General tab shows the name of the drive, its type, the file system used (FAT or NTFS), its total capacity, how much space on the drive is used, and how much space is available.


To name a drive

  1. In the console tree, select Logical Drives.
  2. In the details pane, right-click the drive you want to name, and then select Properties.
  3. On the General tab, type a name for the drive in the Label box. To change an existing label, select it, and then type a new name. The name can contain up to 11 characters.
  4. Click Apply to save the changes and remain in the General tab, or click OK to save the changes and dismiss the General tab.


Set Permissions on Drives

Use the Security tab to set permissions. The Name section of the Security tab lists the users and groups to whom permissions have been assigned for this object. The Permissions section lists the standard permissions that you can allow or deny for each user or group.

Note

The Security tab only appears on NTFS partitions.

From this tab you can:

Change permissions for existing users and groups

Add users and groups

Remove users and groups

Set, view, or remove special permissions

Set, view, or remove auditing

Set owner information


To change permissions for existing users and groups

  1. Under Name in the Security tab, select the user or group.
  2. Under Permissions, select the permissions you want to allow or deny the user or group.
  3. Click Apply to save the changes and remain in the Security tab, or click OK to save the changes and dismiss the Security tab.

Notes

  • You can set special permissions by clicking the Advanced button. See Setting Special .
  • You can only set permissions on the root directory of a drive. Inheritance of permissions is not implemented.


To add users and groups

  1. On the Security tab, click Add. The Add Users and Groups dialog box appears.
  2. In List Names From, select a domain or computer. The groups (and users if Show Users is selected) belonging to the selected domain or computer appear under Names.
  3. Select the users and groups you want to add, and then click Add.
  4. Click OK.

Note

Once users and groups have been added, use the Security tab to set their permissions.


To remove users and groups

  1. Under Name in the Security tab, select the user or group you want to remove.
  2. Click Remove.
  3. Click Apply to save the changes and remain in the Security tab, or click OK to save the changes and dismiss the Security tab.


To set, view, or remove special permissions

  1. In the Security tab, select Advanced. The Access Control Settings dialog box appears.
  2. Select the Permissions tab.
  3. Do one of the following:
    • To set special permissions for a new group or user, click Add. In Add Name, type the name of the user you want, or search for the group or user by clicking Search. When you are finished, click OK to automatically open the Permission Entry dialog box.
    • To view or change special permissions for an existing group or user, click the name of the group or user and then click View/Edit.
    • To remove a group or user and its special permissions, click the name of the group or user and then click Remove. Skip steps 4 and 5.
  4. In the Permission Entry dialog box, click where you want the permissions applied in Apply onto, if necessary. Apply onto is only available for folders.
  5. In Permissions, click Allow or Deny for each permission.
  6. Click OK.
  • To change permissions, you must be the owner or have been granted permission to do so by the owner.
  • You can only set permissions on the root directory of a drive. Inheritance of permissions is not implemented.
  • Groups or users granted Full Control for a folder can delete files and subfolders within that folder regardless of the permissions protecting the files and subfolders.


To set, view, or remove auditing

  1. In the Security tab, select Advanced. The Access Control Settings dialog box appears.
  2. Select the Auditing tab. This tab lists auditing entries currently assigned to the object, including the users and groups who are audited, the type of auditing, and where the auditing takes place.
  3. Do one of the following:
    • To set up auditing for a new group or user, click Add. In Add Name, type the name of the user you want, or search for the group or user by clicking Search. When you are finished, click OK to automatically open the Audit Entry dialog box.
    • To view or change auditing for an existing group or user, click the name and then click View/Edit.
    • To remove auditing, click the name of the group or user you no longer want to audit and then click Remove. Skip steps 4 and 5.
  4. In the Audit Entry dialog box, select where you want auditing to take place in Apply onto. Apply onto is only available for folders.
  5. In Access, click Successful, Failed, or both for each access you want to audit.
  6. Click OK.

Note

  • To audit files and folders, you must be logged on as a member of the Administrators group.
  • You must use Group Policy Editor to enable auditing for each group or user account you want to audit. Once you enable auditing and set up auditing for files and folders, use Event Viewer to review successful or failed attempts to access the audited files and folders.


To set owner information

  1. In the Security tab, select Advanced. The Access Control Settings dialog box appears.
  2. Select the Owner tab. This tab shows the current owner of the object and lists the users to whom you can assign ownership of the object.
  3. Under Change owner to, select the new owner.
  4. Click OK.

Note

The Replace owner on subcontainers and objects option is not currently supported.


Support Online from Microsoft Technical Support

Get the latest answers to technical questions via the Internet

If you have a technical question and can’t find your answer in the Windows NT Help file, go to Support Online. Just select your product, type in your question and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base, to Troubleshooting Wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to Support Online.